#
# spec file for package l-loader-hikey
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           l-loader-hikey
Version:        1.2~20181205T075545~49db0a0
Release:        1.101
Summary:        Firmware required to run the HiKey
Url:            https://github.com/96boards-hikey/l-loader
License:        GPL-2.0
Group:          System/Boot
Source0:        l-loader-%{version}.tar.xz
BuildRequires:  arm-trusted-firmware-fastboot-hikey
BuildRequires:  arm-trusted-firmware-hikey
BuildRequires:  cross-arm-none-gcc%{gcc_version}
BuildRequires:  gptfdisk
BuildRequires:  python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
ExclusiveArch:  aarch64

%description
Firmware required to run the HiKey

%prep
%setup -q -n l-loader-%{version}
# Delete x86 binary
rm -f sgdisk

%build
# sgdisk is in /usr/sbin
PATH=$PATH:/usr/sbin \
make -f hikey.mk %{?_smp_mflags} CROSS_COMPILE=arm-none-eabi- CFLAGS="-mcpu=cortex-a53" \
     PTABLE_LST="linux-4g linux-8g" \
     BL1=%{_datadir}/arm-trusted-firmware-hikey/bl1.bin \
     BL2=%{_datadir}/arm-trusted-firmware-hikey/bl2.bin \
     NS_BL1U=/boot/fastboot.bin \
     all

%install
export NO_BRP_STRIP_DEBUG=true
export NO_DEBUGINFO_STRIP_DEBUG=true
install -D -m 0644 l-loader.bin %{buildroot}/boot/l-loader.bin
install -D -m 0644 recovery.bin %{buildroot}/boot/recovery.bin
install -D -m 0644 ptable-linux-4g.img %{buildroot}/boot/ptable-linux-4g.img
install -D -m 0644 ptable-linux-8g.img %{buildroot}/boot/ptable-linux-8g.img

%files
%doc COPYING README.md
%defattr(-,root,root)
/boot/l-loader.bin
/boot/recovery.bin
/boot/ptable-linux-4g.img
/boot/ptable-linux-8g.img

%changelog
* Sat May 11 2019 Andreas Färber <afaerber@suse.de>
- Updated to latest Git branch
  * Dependency on fakeroot dropped
* Sat Jun 23 2018 afaerber@suse.de
- Set CFLAGS (-mcpu=cortex-a53) to fix cross-arm-none-gcc8 error
  [   80s] start.S: Assembler messages:
  [   80s] start.S:95: Error: selected processor does not support `wfi' in ARM mode
* Thu May 31 2018 afaerber@suse.de
- Set PATH for sgdisk
* Fri May 25 2018 afaerber@suse.de
- Updated to latest Git branch
  * BL2_AT_EL3
  * Package recovery.bin
  * Package ptable-linux-{4g,8g}.img
* Thu Jan 11 2018 afaerber@suse.de
- Convert to cross-compiling
- Suppress debuginfo
* Sun Jan  7 2018 afaerber@suse.de
- Update to v1.2 and supply fastboot.bin
* Sun Jan  7 2018 afaerber@suse.de
- Adapt bl1.bin path
* Mon Dec 26 2016 afaerber@suse.de
- Initial
